lbdb (0.52.1-2) unstable; urgency=medium

  * debian/salsa-ci: disable crossbuild arm64, which fails.
  * Update debian/copyright with help by lrc.
  * Update to Standards-Version 4.7.0 (no changes).
  * Rebuild against newer dh-elpa (Closes: #1077115).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 26 Jul 2024 09:45:19 +0200

lbdb (0.52.1-1) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * New upstream release 0.52.1.
  * This supports XDG_CONFIG_HOME/XDG_DATA_HOME (Closes: #843917).
  * Update to Standards-Version 4.6.2 (no changes).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-elpa.
    + elpa-lbdb: Drop versioned constraint on emacsen-common in Depends.
    + elpa-lbdb: Drop versioned constraint on lbdb in Replaces.
    + elpa-lbdb: Drop versioned constraint on lbdb in Breaks.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 30 Jul 2023 09:24:44 +0200

lbdb (0.51.1-1) unstable; urgency=medium

  * New upstream release 0.51.1.
    * Fixes build errors in testsuite with arm* and mips*.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 18 Sep 2022 10:28:22 +0200

lbdb (0.51-1) unstable; urgency=medium

  * New upstream version 0.51.
  * Update to Standards-Version 4.6.1 (no changes).
  * Remove outdated lintian-overrides.
  * Move lbdb-elpa to sections editors.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Sep 2022 17:15:52 +0200

lbdb (0.50-1) unstable; urgency=medium

  * New upstream version 0.50.
  * Upstream and Debian versions are now split.
  * Change source/format from 3.0 (native) to 3.0 (quilt).
  * Adapt debian/* to the changes.
  * Add debian/watch and debian/upstream/signing-key.asc.
  * Remove wrong Built-Using header from elpa-lbdb package.
  * Add some lintian overrides for false positives.
  * Add debian/upstream/metadata.
  * Mention in debian/control which module requires which packages
    (Closes: #1005055).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 25 Feb 2022 16:49:25 +0100

lbdb (0.49.1) unstable; urgency=medium

  * Update to Standards-Version 4.6.0 (no changes).
  * Create empty config.rpath to make autoconf 2.71 happy (Closes: #995983).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 09 Oct 2021 14:39:32 +0200

lbdb (0.49) unstable; urgency=medium

  * Backup testuite output into artifacts.
  * Add buildlog to gitlab-ci test pipeline.
  * d/gitlab-ci.yml stripped down using pipline-jobs.yml
  * lbdbq: re-add $exec_prefix, which may be used in libdir.
  * Strip suffixes starting with "+" from elpa version.
  * Forward INMAIL_DB default from m_inmail to lbdb-munge.
  * Build-Depends on dh-elpa >= 1.16 to avoid path injection (Closes: #973971)
  * Upgrade to debhelper v13 and use debhelper-compat instead of d/compat.
  * Upgrade Standards-Version to 4.5.0.
  * Rename gitlab-ci.yml to salsa-ci.yml.
  * Move mutt_ldap_query to /usr/bin, since it can be called separately.
  * Linitian override for false positive bin-sbin-mismatch.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 13 Nov 2020 17:56:04 +0100

lbdb (0.48.1) unstable; urgency=medium

  * Fix wrong quoting in lbdb-fetchaddr (Closes: #918594).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 07 Jan 2019 19:30:29 +0100

lbdb (0.48) unstable; urgency=medium

  * m_muttalias: Fix some shellcheck warnings.
  * Change project homepage URL to https.
  * Use literal tab characters in order to make m_abook and m_goobook
    modules work without requiring GNU sed(1).  Thanks to Raf Czlonka.
  * Add tests for m_abook.
  * Add update-version target to update version in all autotool files.
  * m_abook: Fix a shellcheck warning.
  * lbdbq, lbdb-fetchaddr: Fix some shellcheck warnings.
  * Upgrade Standards-Version to 4.3.0
    - Declare Rules-Requires-Root: no.
  * Upgrade debhelper to v12.
  * m_inmail/lbdb-munge: Use INMAIL_DB if set in config (Closes: #916282).
  * Add salsa CI pipeline in debian/gitlab-ci.yml.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 04 Jan 2019 16:59:04 +0100

lbdb (0.47) unstable; urgency=medium

  * Add .gitignore based on code by Lucas Hoffmann.
  * Upgrade debhelper to v11.
  * Replace legacy `...` by $(...) in sh scripts.
  * Update copyright notice.
  * Add test_perl to check perl syntax.
  * Add some perl libs <!nocheck> to Build-Depends, to be able do
    perl syntax check.
  * Replace undefined $rv by $?.
  * Make the database file for m_inmail/lbdb-fetchaddr configurable.
  * Add LBDB_OVERRIDE_METHODS, OVERRIDE_MUTTALIAS_FILES variables for
    testing.
  * Add a test suite.
    - Add a test for m_muttalias.
  * m_muttalias: rewrite sed regex as ERE, which should be more POSIX
    compatible and should work on non GNU sed, too.
  * lbdbq: Remove whitespace from number of matches to become more
    portable.
  * Add debian testsuite, calling lbdb testsuite.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 02 Apr 2018 18:35:21 +0200

lbdb (0.46) unstable; urgency=medium

  * Add new module m_mu (maildir-utils), provided by Timothy Bourke.
  * Upgrade to Standards-Version 4.1.3 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 14 Jan 2018 18:24:08 +0100

lbdb (0.45.3) unstable; urgency=medium

  * Add Vcs-* headers pointing to github repository.
  * Fix file move from lbdb to elpa-lbdb on binary-arch build target.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 04 Dec 2017 20:11:42 +0100

lbdb (0.45.2) unstable; urgency=medium

  * Remove ldbd-pkg.el in clean target.
  * debian/lbdb.maintscript: rm_conffile 50lbdb.el.
  * Rename configure.in to configure.ac to make autoconf happy.
  * lbdb.el: Replace obsolete (as of 23.2) function interactive-p.
  * Move Emacs lisp code (lbdb.el and m_bbdb) into new separate package
    elpa-lbdb (Closes: #880976).
  * lbdb_bbdb_query.el: Fix emacs warning.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 12 Nov 2017 23:34:49 +0100

lbdb (0.45.1) unstable; urgency=medium

  * Add bbdb dependency (required for m_bbdb) (Closes: #880961).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 06 Nov 2017 13:37:17 +0100

lbdb (0.45) unstable; urgency=medium

  * Upgrade to Standards-Version 4.1.1 (no changes).
  * Remove autotools-dev, since this is included in debhelper v10.
  * Convert elisp code to dh-elpa.
  * lbdb Enhances: mutt.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 05 Nov 2017 16:39:49 +0100

lbdb (0.44) unstable; urgency=medium

  * Fix count in m_inmail munge.
  * Stop adding trailing spaces to date in m_inmail.utf-8.
  * Remove unwanted trailing spaces from date field in m_imail.utf-8.
    Thanks to Peter P. for reporting this issue.
  * Upgrade to Standards-Version 4.1.0 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 11 Sep 2017 18:30:40 +0200

lbdb (0.43) unstable; urgency=medium

  * Rebuild aclocal with version 1.15.
  * Update config.guess and config.sub from autotools-dev 20161112.1
  * m_khard: New CardDAV module using khard.  Thanks to Colin Watson for
    providing the patch (Closes: #866178).
  * Upgrade to Standards-Version 4.0.0 (https in copyright format).
  * Upgrade to debhelper 10.
  * Update TODO list.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 01 Jul 2017 13:10:13 +0200

lbdb (0.42.1) unstable; urgency=medium

  * lbdb-munge: fix autoconf libdir path (Closes: #847735).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 Dec 2016 12:14:13 +0100

lbdb (0.42) unstable; urgency=medium

  * m_gpg, m_pgp[25]: extend allowed real name length from 27 to 47 chars
    (Closes: #825333).
  * Change lbdb-fetchaddr/m_inmail default charset to UTF-8
    (Closes: #600462).
    To avoid problems on upgrading, the database file name was changed
    from $HOME/.lbdb/m_inmail.list to $HOME/.lbdb/m_inmail.utf-8.  If you
    want to keep your old (ISO-8859-15 encoded) database, you can just
    append it to the new file by
     cd $HOME/.lbdb
     iconv -f iso-8859-15 -t utf-8 < m_inmail.list >> m_inmail.utf-8
  * Update autotools.
  * Allow one to remove outdated or infrequently used entries from m_inmail.
    Thanks to Yaroslav Halchenko for providing a patch (Closes: #406232).
  * Upgrade to Standards-Version 3.9.8 (no changes).
  * Add new module m_goobook, which reads addresses from Google contacts
    using goobook package.  Thanks for providing this to François Charlier.
  * Merge changes from mutt 1.7.1 dotlock.c.
  * Get rid of warn_unused_resuld from dotlock.c.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 07 Nov 2016 15:17:11 +0100

lbdb (0.41) unstable; urgency=medium

  * Remove CVS $Id$ tags and the like, which don't work with git.
  * Apply several patches by Lucas Hoffmann:
    - m_wanderlust: Fix variable name.
    - m_gnomecard, m_pine: Remove needless backslashes from embedded AWK.
    - lbdbq: Optimize counting lines.
    - lbdbq: Remove unreached break after exit.
  * Upgrade to Standards-Version 3.9.7 (no changes).
  * Update debian/copyright.
  * fetchaddr: avoid segfault on empty lines (Closes: #715901).
  * fetchaddr: change real name length limit from 30 to 70.  Thanks to
    Andrey Skvortsov for providing a patch (Closes: #780532).
  * vcquery: order N: field: Prefixes GivenName AddName FamilyName Suffix
    (Closes: #578155).
  * Remove lbdb.spec on clean target.
  * Move LIBICONV linking to the end of the cc call to make cygwin happy.
  * Substitute ${prefix} in @sysconfdir@ in mutt_ldap_query.pl.
  * Fix more bashisms (Thanks to Thorsten Glaser).
  * Update config.guess and config.sub.
  * Optimize autoconf to get version from Debian changelog.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 05 Mar 2016 11:54:15 +0100

lbdb (0.40) unstable; urgency=medium

  * Upgrade to Standards-Version 3.9.6 (no changes).
  * Avoid gpg trustdb check in m_gpg, since this may take a long time
    while lbdb is not responsible.  Thanks to Gregor Zattler for providing
    a patch (Closes: #805235).
  * mutt_ldap_query: escape parentheses, since perl 5.22 complains about
    this otherwise.  Thanks to Olivier Mehani and Francois Charlier.
    (Closes: #812785).  This also solves launchpad bug 1539774 and RedHat
    bug 1259881.
  * Update emacs support (Add dependency on emacsen-common >=2.0.8, add
    emacsen-compat).
  * Run wrap-and-sort.
  * Fix several man page typos.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Jan 2016 09:21:41 +0100

lbdb (0.39) unstable; urgency=low

  * Use dh_autotools-dev (Closes: #727289).
  * Update packaged autotools files.
  * Rebuild aclocal/autoconf.
  * Change debian/source-format to 3.0 (native).
  * Remove mutt-ja from Suggests, since this no longer exists.
  * Upgrade build depenency to debhelper (>= 9).
  * Change debian/compat to "9".
  * Complete rewrite of debian/rules.
  * Now uses hardening via debhelper.
  * Add $CPPFLAGS to $CFLAGS to really use hardening.
  * Upgrade to Standards-Version 3.9.5 (no changes).
  * m_vcf: Optimize missing names handling (Thanks to Jamey Sharp)
    (Closes: #633920).
  * Made debian/copyright machine readable.
  * m_abook: fix formatting (Thanks to Alfredo Finelli) (Closes: #681526).
  * mutt-ldap-query: Add parameters for TLS and SASL_MECH (Thanks to
    Alexandra N. Kossovsky) (Closes: #512074).
  * Mention user mutt-ldap-query configuration files in lbdbq(1) man page
    (Closes: #534710).
  * Update ABQuery build mechanism (Thanks to Brendan Cully).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 10 May 2014 17:33:51 +0200

lbdb (0.38) unstable; urgency=low

  * m_evolution: Try to evaluate the location of
    evolution-addressbook-export at runtime, since it is no longer
    available in /usr/bin since evolution 2.30.1.2-3
    (Closes: #583851, #598380).
  * m_vcf: Apply patch by Jamey Sharp <jamey@minilop.net> to support VCF
    contacts without real name (Closes: #624590).
  * vcquery: Apply patch by martin f krafft <madduck@debian.org> to search
    in NICKNAME field, too. (Closes: #586300).
  * Add debian/source/format (1.0).
  * Upgrade to Standards-Version 3.9.2:
    - Add line break to Suggests.
  * Remove "the" from description synopsis to make lintian happy.
  * Fix some typos in changelog.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 25 Jun 2011 16:39:11 +0200

lbdb (0.37+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libvformat-dev instead of libvformat1-dev
    (Closes: #583073).

 -- Thomas Preud'homme <robotux@celest.fr>  Sun, 05 Jun 2011 21:03:08 +0200

lbdb (0.37) unstable; urgency=low

  * Fix bashisms in m_bbdb (Closes: #530113).
  * Fix query shell functions to catch non-zero exit status in case they
    get invoked in set -e context.  Thanks to martin f. krafft
    <madduck@debian.org> for providing a patch (Closes: #515076).
  * m_evolution: support line breaks and long lines.  Thanks to Jan Larres
    <jan@majutsushi.net> for providing a patch (Closes: #505540).
  * Fix documentation concerning the quotes on lbdbq call (Closes: #542012).
  * Upgrade to Standards-Version 3.8.4 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 18 May 2010 20:03:18 +0200

lbdb (0.36) unstable; urgency=low

  * Remove duplicate "See also: mutt" from lbdbq.man (Closes: #441588).
  * Update configure using autconf 2.61.
  * Apply charset conversation patch by Peter Colberg based on code by
    Tobias Schlemmer (Closes: #355678).
  * Remove duplicate declaration of $ignorant (Closes: #480356, #483701).
  * Handle mail addresses in mutt_ldap_query correct. Thanks to Colin
    Watson <cjwatson@debian.org> for providing a patch (Closes: #469288).
  * Mention ldapi URIs in mutt_ldap_query man page (Closes: #422730).
  * Protect "make distclean" by checking whether makefile exists.
  * Upgrade to Standards-Version 3.8.0:
    - Fix Homepage header in control file.
  * Add copyright holders to debian/copyright file.
  * Remove outdated override.Lintian.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Jun 2008 12:39:06 +0200

lbdb (0.35.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix m_evolution to work also with recent Evolution which exports cards
    with different FN/EMAIL fields ordering. Thanks to Brian M. Carlson for
    the patch (Closes: #462573).

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 12 Apr 2008 17:44:04 +0200

lbdb (0.35.1) unstable; urgency=low

  * New mail address of Brian Salter-Duke <b_duke@bigpond.net.au>.
  * Get rid of the SSL code from the previous version and add a comment to
    the man page instead how you can use SSL (and also different ports)
    using ldap[s]://foo[:port] URLs (Closes: #426316).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 28 May 2007 11:03:22 +0200

lbdb (0.35) unstable; urgency=low

  * activate flavortest in emacen-install to avoid warnings and slow
    upgrades (Closes: #399775).
  * Avoid loosing the first entry from VCF file.  Thanks to
    Tino Keitel <tino.keitel+debbugs@tikei.de> for providing a patch
    (Closes: #405312).
  * Remove vcquery in distclean target (Closes: #405321).
  * Use defaults for $KEEP_DUPES and $SORT_OUTPUT in lbdbq
    (Closes: #422214).
  * Update mutt_ldap_query.pl from
    http://www.courville.org/mediawiki/index.php/Mutt_ldap_query which
    adds SSL support.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 20 May 2007 15:10:26 +0200

lbdb (0.34) unstable; urgency=medium

  * vcquery: avoid free() on unallocated memory if fullname is not set.
    Thanks to Gregor Jasny <gjasny@web.de> for finding and providing a
    patch (Closes: #395421).
  * vcquery: Use value of concatenated N fields if FN field is missing.
    Thanks to Gregor Jasny <gjasny@web.de> for providing a patch
    (Closes: #395422).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 12 Nov 2006 13:09:16 +0100

lbdb (0.33) unstable; urgency=low

  * Add SORT_OUTPUT=reverse_comment to do reverse sort by the third column
    (most recent m_inmail timestamp at the top).  Thanks to Marco d'Itri
    for this suggestion.
  * Comment out LDAP_NICKS in lbdb.rc because this should only be an
    example and if it is set there it overrides other LDAP settings
    (Closes: #391320).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Oct 2006 14:10:03 +0200

lbdb (0.32) unstable; urgency=low

  * Change sort(1) syntax to cope with new versions of coreutils
    (Closes: #368917).
  * New version of mutt_ldap_query by Marc de Courville
    <marc@courville.org> and other contributors.
  * Extend lbdb_hostname() to get the domain name from resolv.conf.  Thanks
    to Gary Johnson <garyjohn@spk.agilent.com> for providing this patch.
  * m_muttalias: Allow \"...\" around real names of aliases.  Thanks to
    Erik Shirokoff <shiro@berkeley.edu> for providing this patch.
  * Upgrade to Standards-Version 3.7.2 (no changes).
  * Upgrade to debhelper (>= 5)

 -- Roland Rosenfeld <roland@debian.org>  Sun, 13 Aug 2006 11:13:54 +0200

lbdb (0.31.1) unstable; urgency=low

  * Since evolution 2.2.3-2 (2005-08-01) there exists a symlink
    /usr/bin/evolution-addressbook-export. This package is now in testing
    (etch), so m_evolution is changed to access this program via the
    symlink to avoid trouble with various places of e-a-e.
  * It seems, that evolution-addressbook-export now also has EMAIL entries
    without subtype "EMAIL;TYPE=INTERNET:" vs. "EMAIL:" in it. m_evolution
    now supports both variants (Closes: #347971).
  * Remove backslash from comment in m_evolution.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 15 Jan 2006 15:26:49 +0100

lbdb (0.31) unstable; urgency=low

  * m_pine: Double-quote parentheses.  Thanks to Stefan Mätje for reporting
    this bug and sending a patch.
  * Apply patch by Brendan Cully to follow the Apple build system changes
    used to build ABQuery module.
  * Add m_vcf module for querying vcard files provided by Brendan Cully.
  * Add authentication (bind_dn, bind_password) to mutt_ldap_query. Based
    on an idea of Jan-Benedict Glaw (Closes: #324655, #286163).
  * Update FSF address in nearly all files.
  * Upgrade to standards-version 3.6.2 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 29 Oct 2005 16:49:58 +0200

lbdb (0.30) unstable; urgency=low

  * Get rid of strict aliasing warnings in gcc.  Thanks to Ludwig Nussel
    <ludwig.nussel@suse.de> for providing a patch.
  * Add line breaks to POD part of mutt_ldap_query.pl to make man page
    more readable.
  * Replace "grep" with "grep -a" to avoid error messages on non-ascii
    output (Closes: #284119).
  * Search for evolution-addressbook-export in /usr/lib/evolution/2.0,
    where it is located in sarge and newer (Closes: #286795).
  * mutt_ldap_query: Stop returning entries without email address
    (Closes: #290148).
  * m_gpg: Add support for gpg 1.4 (not only 1.2.5) (Closes: #294113).
  * m_gpg: Stop showing revoked user ids (Closes: #259212).
  * Rebuild configure with autoconf 2.59a.
  * Make the paths of several binaries configurable in configure as
    --with-foo
  * Replace hyphens (-) by minus signs (\-) in the man pages.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 30 Apr 2005 21:40:04 +0200

lbdb (0.29) unstable; urgency=low

  * Add new module m_evolution to access Ximian Evolution addressbook.
    Thanks to Guido Guenther <agx@debian.org> (Closes: #234345).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 23 Feb 2004 12:39:42 +0100

lbdb (0.28.2) unstable; urgency=low

  * Another upgrade of m_bbdb by Aaron Kaplan <kaplan@cs.rochester.edu>.
  * Add homepage URL to the package description.
  * Quote $GNUCLIENT in m_bbdb to avoid error message when this variable
    is not defined (Closes: #231061).
  * mutt_ldap_query: Apply patch from Max Kutny <mkut@umc.ua>, which
    allows to override config file settings via command line options
    (Closes: #231261).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  7 Feb 2004 14:00:12 +0100

lbdb (0.28.1) unstable; urgency=low

  * Make m_osx_addressbook compile on MacOS 10.3 and XCode, too.  Thanks
    to Yuval Kogman <nothingmuch@woobling.org> and Brendan Cully
    <brendan@kublai.com> for the patch.
  * Remove "set -e" from lbdbq, which causes trouble if grep doesn't find
    a match in some of the modules (Closes: #222647).
  * m_passwd: Ignore system accounts (UIDs, which aren't in the range
    1000-29999 on a Debian system), if PASSWD_IGNORESYS=true is set
    (Closes: #188085).
  * Allow sorting the output by "comment" field (column 3) by setting
    SORT_OUTPUT=comment (Closes: #225104).
  * Add gnuclient support to m_bbdb module.  Thanks to Aaron Kaplan
    <kaplan@cs.rochester.edu> for providing this patch.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 18 Jan 2004 14:59:38 +0100

lbdb (0.28) unstable; urgency=low

  * Fix bug in ABQuery module, which crashes when it finds results in
    non-latin character sets.  Now returns UTF8 results instead.  Thanks
    to Brendan Cully <brendan@kublai.com>.
  * Correct delimiter of vcard to END:VCARD in m_gnomecard and allow
    encodings etc. in the FN field, thanks to Rogerio Brito
    <rbrito@ime.usp.br> (Closes: #198633).
  * Search for .gnome/GnomeCard.gcd in $HOME instead of current directory.
  * m_abook: Search for $HOME/.abook/addressbook in addition to
    $HOME/.abook.addressbook to honor the fact that this file was moved in
    abook 0.5 (Closes: #205418).
  * Add a new version of mutt_ldap_query.pl by Marc de Courville:
    - activated pod2usage (now contained in all the decent distributions)
    - cleaned pod section to comply better with the pod formatting standard
    - change contact address
    - fixed typos
  * m_palm: Use only "email" entries as e-mail addresses and not
    everything including "@".  Thanks to Nikolaus Rath <Nikolaus@rath.org>
    for providing the patch (Closes: #196888).
  * Upgrade to Standards-Version 3.6.1 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Tue,  9 Sep 2003 19:49:20 +0200

lbdb (0.27) unstable; urgency=low

  * New module m_osx_addressbook, which queries the OS X AddressBook (only
    on OS X with the Developer tools installed) written by Brendan Cully
    <brendan@kublai.com>.
  * Fix description of m_nispasswd in debian/control (Closes: #185573).
  * Upgrade to Standards-Version 3.5.9 (no changes).
  * Add ${misc:Depends} to dependencies.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 22 Mar 2003 16:02:20 +0100

lbdb (0.26.2) unstable; urgency=low

  * Optimized manual page in mutt_ldap_query.pl, to look less corrupted.
  * mutt_ldap_query: Add new config option $ignorant (and also 7th field in
    NICK array) to enable ignorant searching (search for *foo* instead of
    foo) (Closes: #179861).

 -- Roland Rosenfeld <roland@debian.org>  Sun,  9 Feb 2003 13:19:49 +0100

lbdb (0.26.1) unstable; urgency=low

  * Rebuild configure with autoconf 2.57.
  * Add long options --version and --help to ldbdq and man page.
  * Support multiple address book files with abook.  Thanks to Etienne
    PIERRE <marluchon@netcourrier.com> for providing this patch.
  * New mail address of Brian Salter-Duke <b_duke@octa4.net.au>.
  * Upgrade to Standards-Version 3.5.8 (handling of compiler optimization
    in DEB_BUILD_OPTIONS changed).
  * Upgrade to debhelper 4.
  * Remove dependency on awk, which is essential, to make lintian happy.
  * Use /etc/mailname as mail domain name in lbdb_hostname() (Closes: #165159).

 -- Roland Rosenfeld <roland@debian.org>  Sat,  8 Feb 2003 18:28:36 +0100

lbdb (0.26) unstable; urgency=low

  * m_finger: Suppress lines where real name is '???' (some versions of
    finger seem to use this for non existing users) (Closes: #112127).
  * m_wanderlust: new module to read ~/.addesses file from WanderLust
    MUA.  Module provided by Gergely Nagy <algernon@debian.org>.
    (Closes: #133209).
  * Quote the search string in m_yppasswd, m_nispasswd and m_getent as
    mentioned by Gary Johnson <garyjohn@spk.agilent.com>.
  * Add CVS Id tags to all modules.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 11 Feb 2002 20:23:42 +0100

lbdb (0.25.2) unstable; urgency=low

  * New version (1.10) of lbdb.el by Dave Pearson <davep@davep.org>:
    Fixes the fact that, when in an emacs that doesn't have
    `line-{beginning,end}-position' available (xemacs, for example) I
    wasn't defining fully compatible versions.
  * Add short description to mutt_ldap_query in NAME section.
  * Add m_getent by Adrian Likins <alikins@redhat.com>, which can replace
    m_passwd and m_yppasswd on systems where getent(1) is installed.
  * Add option -a to fetchaddr and lbdb-fetchaddr to fetch also addresses
    without realname.
  * Upgrade to Policy version 3.5.6 (no changes).
  * Use debhelper >= 2.2.0
    - Use DH_COMPAT=3 instead of DH_COMPAT=2
    - remove debian/conffiles, which is automatically generated by
      DH_COMPAT=3.
    - replace dh_installmanpages by dh_installman
    - dh_strip now knows about DEB_BUILD_OPTIONS=nostrip itself
    - activate dh_perl, because we also build perl scripts.
    - Add ${perl:Depends} to debian/control.

 -- Roland Rosenfeld <roland@debian.org>  Sat,  1 Sep 2001 13:09:58 +0200

lbdb (0.25.1) unstable; urgency=low

  * Add ">" to pod2man call in Makefile, because older versions of perl
    come with a pod2man which dies otherwise.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 24 Jul 2001 17:47:16 +0200

lbdb (0.25) unstable; urgency=low

  * Suggest mutt-ja as an alternative to mutt, because mutt-ja currently
    does not provide mutt (Closes: #85923).
  * Add m_ldap and mutt_ldap_query provided by Marc de Courville,
    <marc@courville.org>.
  * Fix problem in mutt_ldap_query, which ignored the content of the
    config file before.
  * Remove <> from email address in mutt_ldap_query output.
  * lbdb-munge didn't honor SORT_OUTPUT when called from m_inmail, so
    export this variable in m_inmail (Closes: #92767).
  * Module m_nispasswd added by Utz-Uwe Haus <haus@uuhaus.de>.
  * Added variable MAIL_DOMAIN_NAME to override other settings of mail
    domain.
  * Change Build-Dependency to debhelper >=2.0.103, which is needed for
    dh_installlogrotate (Closes: #94471).
  * Replace dh_testversion by versioned build-depends.
  * Upgrade to Standards-Version 3.5.2 (no changes).
  * Depend on mawk | awk to give apt a default.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 22 Jul 2001 20:04:34 +0200

lbdb (0.24) unstable; urgency=low

  * Add new module m_bbdb to access a (X)Emacs big brother database (bbdb)
    from lbdb using (x)emacs as the backend.  Thanks to Utz-Uwe Haus
    <haus@uuhaus.de> for providing this.
  * s/MODULE_PATH/MODULES_PATH/ in documentation to match the behavior of
    the program (Closes: #83933).
  * m_gpg: stop using --with-colons, because this outputs utf8 instead of
    your local charset, which causes problems with non 7bit characters
    (Closes: #83936).
  * Add a new variable KEEP_DUPES, which allows to see duplicate mail
    addresses (with different real names or comment fields) (Closes: #83908).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 10 Feb 2001 17:57:54 +0100

lbdb (0.23) unstable; urgency=low

  * Add a second grep to m_pgp5 and m_gpg to remove UIDs, which don't
    match the search string, but are only generated, because a different
    UID of this key matches.
  * Add new module m_gnomecard based on an idea by Rick Frankel
    <rick@rickster.com>.
  * Always use /bin/sh as the shell on Debian systems, because Debian
    guarantees, that /bin/sh is a posix shell (Closes: #75475).
  * Move /usr/share/doc/lbdb/override.Lintian to
    /usr/share/lintian/overrides/lbdb.
  * Add $(install_prefix) to Makefile.in and change debian/rules to use
    it.  Thanks to Rob Payne <rnspayne@adelphia.net> for providing the
    idea and a patch.
  * Update lbdb.spec.in, patch provided by Rob Payne
    <rnspayne@adelphia.net>.
  * Remove dh_suidregister from debian/rules.
  * Update Debian package description.
  * Upgrade lbdb.el to version 1.9 (Thanks Dave!).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 23 Jan 2001 18:33:45 +0100

lbdb (0.22) unstable; urgency=low

  * Add new module m_addr_email to request data from addressbook program
    (http://red.roses.de/~clemens/addressbook/) by Torsten Jerzembeck
    <toje@nightingale.ms.sub.org>.
  * Some optimizations on m_addr_email to handle city name correct and to
    junk entries without email address.
  * Update lbdb.el to version 1.8:
    - Fixes the problem with spaces in query strings (Closes: #74818).
    - New commands lbdb-region and lbdb-maybe-region to query lbdb for the
      content of the current region.
    - Autoload lbdb-region and lbdb-maybe-region from startup file.
  * Use sort without -u option, because duplicates are already removed by
    munge before.
  * Do not overwrite m_inmail.list on munging, if file system is full.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 17 Oct 2000 17:59:07 +0200

lbdb (0.21.1) unstable; urgency=low

  * Update lbdb.el to version 1.4 to avoid problems with status line of
    lbdbq.
  * Correct behavior of variable SORT_OUTPUT (did the inverse of what it
    should do).
  * Correct output of number of matching entries (count after munging
    instead before).
  * SORT_OUTPUT now can be "name" or "address" to sort output by mail
     real names or addresses (still the default).

 -- Roland Rosenfeld <roland@debian.org>  Mon,  9 Oct 2000 12:05:28 +0200

lbdb (0.21) unstable; urgency=low

  * Don't fail in m_palm, if no database is available.
  * Update lbdb.el to version 1.3 (thanks Dave).
  * m_muttalias: Add support for "alias foo <foo@bar> (Foo Bar)" style
    aliases.
  * Correct typo in m_muttalias, which stopped to work when your HOME is
    your MUTT_DIRECTORY (Closes: #71975).
  * Correct README (we have more than two modules now :-)
  * Create sysconfdir, if it doesn't already exist.
  * lbdbq: write information about number of matching entries into status
    line and exit with return value 1, if no matching entries were found.
  * Correct exit value of lbdbq (trap command).

 -- Roland Rosenfeld <roland@debian.org>  Sun,  8 Oct 2000 01:12:33 +0200

lbdb (0.20.1) unstable; urgency=low

  * Fix name conflicts (m_palm_lsaddr now completely renamed to
    palm_lsaddr).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 24 Aug 2000 04:14:05 +0200

lbdb (0.20) unstable; urgency=low

  * Add emacs interface lbdb.el 1.2 by Dave Pearson <davep@davep.org> and
    install it on Debian systems.
  * Add m_palm module and palm_lsaddr by Dave Pearson <davep@davep.org>.
  * Update package description in debian/control file.
  * Update documentation.
  * Add override.Lintian to avoid warnings about missing Palm::PDB and
    Palm::Address, which are in libpalm-perl, that is suggested (we don't
    depend on it, because this is only used by the m_palm module).
  * Rename $p to $CURRENT_MODULE_DIR in lbdbq, so a module can access the
    directory where it is placed itself for accessing some helper
    applications.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 21 Aug 2000 15:46:02 +0200

lbdb (0.19.9) unstable; urgency=low

  * Remove erroneous quotes from lbdb-fetchaddr, which caused fetchaddr to
    write "`' wrong parameter" error message to procmail log file.
  * Correct the getopt behavior in lbdb-fetchaddr.
  * s/strfcpy/strncpy/ in fetchaddr.c.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 16 Aug 2000 13:45:47 +0200

lbdb (0.19.8) unstable; urgency=low

  * Renamed option -h to -x, because -h is already used for "help".

 -- Roland Rosenfeld <roland@debian.org>  Tue,  8 Aug 2000 19:04:07 +0200

lbdb (0.19.7) unstable; urgency=low

  * Add a new option -h to lbdb-fetchaddr and fetchaddr, which allows you
    to add a colon separated list of header fields to search for mail
    addresses.  If this option isn't given, we fall back to
    "from:to:cc:resent-from:resent-to" (Closes: #54169).

 -- Roland Rosenfeld <roland@debian.org>  Mon,  7 Aug 2000 19:46:27 +0200

lbdb (0.19.6) unstable; urgency=low

  * New version of m_pine by Gabor Fleischer <flocsy@mtesz.hu>: Now
    handles aliases without real names correct (by using a single space as
    the realname, so Mutt has not problem with this.
  * Add new helper program qpto8bit, which converts quoted-printable
    (according to RFC2047) to plain 8bit (without MIME header).  This is
    used by m_pine to decode quoted-printable in addressbooks to 8bit.
  * Upgrade to Standards-Version 3.2.0:
    - Evaluate DEB_BUILD_OPTIONS for -g and strip.
  * Upgrade to new debhepler:
    - Change to DH_COMPAT=2.
    - Add some dh_* calls to debian/rules.

 -- Roland Rosenfeld <roland@debian.org>  Sat,  5 Aug 2000 21:20:59 +0200

lbdb (0.19.5) unstable; urgency=low

  * Remove "-f" option from configure @AWK@ variable and manually add it,
    where it is needed, otherwise @AWK@ cannot be used for inline scripts.
  * Add new module m_pine, provided by Gabor FLEISCHER <flocsy@mtesz.hu>
    to search pine address books.
  * Fixed m_muttalias to additionally accept "foo@bar (Foo Bar)" style
    addresses and to ignore group aliases.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 23 Jun 2000 12:09:32 +0200

lbdb (0.19.4) unstable; urgency=low

  * Make dotlock.c compile on systems without snprintf() again.
  * Don't remove Makefile in clean target but only in distclean.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 28 May 2000 11:32:16 +0200

lbdb (0.19.3) unstable; urgency=low

  * Add new module m_muttalias, provided by Brian Salter-Duke
    <b_duke@lacebark.ntu.edu.au> to search mutt alias files for aliases.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 27 May 2000 14:47:17 +0200

lbdb (0.19.2) unstable; urgency=low

  * Give the dateformat to fetchaddr(1) using the -d option (instead of
    simply using argv[1]).
  * Give the dateformat to lbdb-fetchaddr(1) using the -d option.  If
    there is only one parameter, this is used as dateformat for backward
    compatibility.  Manpage adapted to this.
  * Remove DOTLOCK=/usr/bin/mutt_dotlock from ./configure environment.
    This is superfluous since --enable-lbdb-dotlock is used, but it
    doesn't cause problems (neither with mutt installed or deinstalled)
    (Closes: #64134).
  * Fixed typo in m_abook ("@$" instead of "$@").

 -- Roland Rosenfeld <roland@debian.org>  Mon, 22 May 2000 10:59:59 +0200

lbdb (0.19.1) unstable; urgency=low

  * Correct dependencies:
    - No longer depend on mutt (only suggest it), we use lbdb_dotlock now,
      so #58188 is really closed now.
    - Depend on awk instead of mawk, because we use /usr/bin/awk, which
      can be any awk.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 10 May 2000 03:16:05 +0200

lbdb (0.19) unstable; urgency=low

  * Upgrade to standards version 3.1.1: Add Build-Depends.
  * Hardcode finger and mutt_dotlock in debian/rules, to avoid additional
    Build-Depends.
  * use safe_strdup() instead of strdup() which isn't available on Ultrix.
  * Add lbdb.spec by Horms <horms@vergenet.net>.
  * Update the version number in lbdb.spec via configure.
  * Add abook support based on an idea by Ross Campbell
    <rcampbel@us.oracle.com>.
  * Add NIS support based on an idea by Ross Campbell
    <rcampbel@us.oracle.com>.
  * Add --enable-lbdb-dotlock to configure options to force using of
    lbdb_dotlock (instead of using mutt_dotlock) and use this option for
    the Debian package (Closes: #58188).
  * Update FSF address in copyrights.
  * Update dotlock code from mutt 1.1.12.
  * Use /usr/bin/awk instead of /usr/bin/mawk in the Debian package
    (/usr/bin/awk is handled by alternates mechanism to point to the
    "optimal" awk replacement).
  * Speed up munge (nearly two times as fast as previous version).
  * Add option SORT_OUTPUT to lbdb.rc, which can be set to "false" or
    "no".  This implies that lbdbq doesn't sort the output but reverts its
    order, so the most recent addresses from m_inmail.list will be shown
    first.  Thanks to Andrew Over <aover@uq.net.au> for this idea.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  8 May 2000 19:23:16 +0200

lbdb (0.18.5) unstable; urgency=low

  * Optimized m_gpg to use --with-colons.
  * Remove "Recommends: netstd" (Closes: #49397).
  * Add "Suggests: finger" and test in m_finger whether the finger command
    is available (don't do anything in m_finger, if finger isn't
    available).

 -- Roland Rosenfeld <roland@debian.org>  Sun,  7 Nov 1999 02:51:52 +0100

lbdb (0.18.4) unstable; urgency=low

  * Fixed typo in lbdb-fetchaddr.man.
  * Fixed typo on lbdbq.man (Closes: #48143).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 24 Oct 1999 02:45:46 +0200

lbdb (0.18.3) unstable; urgency=low

  * m_gpg no longer writes error messages to stderr, when the given search
    string does not exist (Closes: #45422).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 Sep 1999 20:40:02 +0200

lbdb (0.18.2) unstable; urgency=low

  * Added HP-UX support (by David Ellement <ellement@sdd.hp.com>):
    - Try awk (in addition to mawk, gawk, nawk).
    - Don't use "if ! ..." in shell scripts, because ksh in HP-UX doesn't
      support this.
  * Make dotlock.c more portable.
  * Make Makefile.in much more portable.
  * Merge in changes of dotlock program from Mutt 0.96.6.
  * Upgraded Debian standards version to 3.0.1:
    - GPL now in /usr/share/common-licenses/
    - /usr/man -> /usr/share/man
  * Add -v and -h options to lbdbq and lbdb-fetchaddr which display the
    version of lbdb and a short help.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 15 Sep 1999 11:42:19 +0200

lbdb (0.18.1) unstable; urgency=low

  * Always build Debian binary with m_pgp2, m_pgp5 and m_gpg (ignoring
    whether the different PGP binaries are installed).
  * Merged in changes from Mutt's dotlock (CVS as of 1999-08-01).
  * Use "$@" instead of $1 in m_* files to allow `lbdb First Last' without
    quotes around "First Last" (Closes: #42417).

 -- Roland Rosenfeld <roland@debian.org>  Wed,  4 Aug 1999 00:44:58 +0200

lbdb (0.18) unstable; urgency=low

  * Splited lbdb-fetchaddr.man off from lbdbq.man.
  * Moved lbdb-fetchaddr from $bindir to $libdir.
  * Added Fido module m_fido and nodelist2lbdb.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 23 Jun 1999 18:22:53 +0200

lbdb (0.17.1) unstable; urgency=low

  * Upgraded autoconf from 2.12 to 2.13.
    Get rid of `echo $PATH | sed "s/:/ /g"` in AC_PATH_PROC() macro,
    because this isn't needed and doesn't work with autoconf 2.13.
  * Removed word boundary check in m_inmail, because this is only
    available in GNU grep.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 25 May 1999 15:53:53 +0200

lbdb (0.17) unstable; urgency=low

  * Delay munging of mails when using lbdb-fetchaddr/m_inmail by adding a
    new script lbdb-munge, which is run by lbdbq and can be run by cron
    additionally. Thanks to Enrico Zini <zinie@cs.unibo.it> for the base
    idea of this.
  * Made lbdb-fetchaddr Y2K compliant by changing the date format which is
    written to the 3rd column of m_inmail.list to "%Y-%m-%d %H:%M" (e.g.
    "1999-04-29 14:33").
  * Made date format in lbdb-fetchaddr runtime configurable as a command
    line parameter. If no date format is specified, "%Y-%m-%d %H:%M" is
    used as the default.
  * include getopt.h only if it is existing (using autoconf).

 -- Roland Rosenfeld <roland@debian.org>  Wed,  7 Apr 1999 12:22:13 +0200

lbdb (0.16.2) unstable; urgency=low

  * Removed some bash, GNU-make, and GNU libc specials.

 -- Roland Rosenfeld <roland@debian.org>  Tue,  6 Apr 1999 19:11:24 +0200

lbdb (0.16.1) unstable; urgency=low

  * lbdb-fetchaddr: Create directory $HOME/.lbdb if it does not exist.

 -- Roland Rosenfeld <roland@debian.org>  Mon,  5 Apr 1999 13:12:04 +0200

lbdb (0.16) unstable; urgency=low

  * Added dotlock command from mutt 0.96.1 sources (without the SGID mail
    stuff) which is installed as lbdb_dotlock, when no mutt_dotlock can be
    found. This doesn't change the Debian binary, because the Debian
    package depends on mutt which is compiled with mutt_dotlock in the
    Debian environment (because of "SGID mail")

 -- Roland Rosenfeld <roland@debian.org>  Sun,  4 Apr 1999 19:24:26 +0200

lbdb (0.15.1) unstable; urgency=low

  * m_passwd: give UID in comment field.
  * m_gpg: now only return addresses which match query. Closes #33672.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 21 Feb 1999 18:55:45 +0100

lbdb (0.15) unstable; urgency=low

  * Added new modules:
    - m_passwd: looks into /etc/passwd for addresses
    - m_pgp2:   scans your PGP 2.* keyring for addresses
    - m_pgp5:   scans your PGP 5.* keyring for addresses
    - m_gpg:    scans your GnuPG keyring for addresses
  * Made config directory autoconf configureable as @sysconfdir@ (this
    does not change anything for the Debian package).
  * Fixed trouble in configure.in noted by Fabrice Noilhan
    <noilhan@clipper.ens.fr>.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 18 Feb 1999 16:49:48 +0100

lbdb (0.14.1) frozen unstable; urgency=low

  * Fixed wrong mawk path (/usr/bin//mawk instead of /usr/bin/mawk)
    created by broken development environment...

 -- Roland Rosenfeld <roland@debian.org>  Tue, 19 Jan 1999 19:03:44 +0100

lbdb (0.14) frozen unstable; urgency=low

  * fetchaddr converts the domain part of mail addresses to lowercase, to
    beware of duplicates in m_inmail.list. Closes #31989

 -- Roland Rosenfeld <roland@debian.org>  Sat, 16 Jan 1999 21:21:40 +0100

lbdb (0.13) frozen unstable; urgency=low

  * Upgraded lbdb.sl supplied by Thomas Roessler <roessler@guug.de>
  * Moved lbdb.sl to /usr/doc/lbdb/examples
  * Removed dependency to mutt-i (>= 0.94.10), because there was no mutt-i
    >= 0.94.10, instead mutt-i was renamed to mutt in the time of adding
    the needed mutt_dotlock.
  * Create ~/.lbdb/m_inmail.list in lbdb-fetchaddr if it does not exist.
  * Fix manpage lbdb-fetchaddr(1) to refer to the correct db filename.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 12 Jan 1999 00:09:36 +0100

lbdb (0.12) unstable; urgency=low

  * Debian maintainer took over the maintenance of the upstream packet.
  * lbdbq manpage moved to main packet.
  * made @libdir@ configurable in lbdbq manpage.
  * fixed some "-Wall" warnings.
  * several typos and nits fixed.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 11 Nov 1998 21:30:33 +0100

lbdb (0.11-3) unstable; urgency=low

  * Fixed /tmp security problem (mkdir -p returns 0 on existing dir)

 -- Roland Rosenfeld <roland@debian.org>  Mon, 26 Oct 1998 17:33:25 +0100

lbdb (0.11-2) unstable; urgency=low

  * Fixed nits in manpage.
  * Changed date format in fetchaddr.c to yy-mm-dd HH:MM.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 25 Oct 1998 12:51:54 +0100

lbdb (0.11-1) unstable; urgency=low

  * New upstream version.
  * jed mode lbdb.sl installed.

 -- Roland Rosenfeld <roland@debian.org>  Wed, 14 Oct 1998 17:46:25 +0200

lbdb (0.10-1) unstable; urgency=low

  * Initial Release.
  * Manpage added.
  * m_inmail database renamed.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 12 Oct 1998 01:31:38 +0200
